Subject: bug#13718: [patch] prevents hl-line from overriding highlight-mode

From: Fei <[email-masked]>
Date: Sat, 16 Feb 2013 13:43:32 -0500

Okay I realize this is very hackish solution, but I went ahead and
replaced every instance of font-lock-fontified with nil so that Emacs
will just use overlays for highlights at all times, which "fixed" the
problem that I have.

But a more general solution would be one of the following:

- Force highlight-regexp (and similar ones) to use overlays at all
times: I don't know why it uses two different methods to do the same
thing, but I suspect it may be for the sake of efficiency perhaps?  Or
to prevent highlights from trampling over the syntax highlighting?
Perhaps this could be made into a customizable option?

- Use font-lock for hl-line: maybe this is isn't possible because
font-lock doesn't provide the functionality to do so?

Or maybe there's a better solution out there -- I don't know.

Thanks,
Fei